Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# PackageCognitionMotion Class Reference

Contains all data that are sent from the Cognition process to the Motion process in the CMD process layout. More...

`#include <PackageCognitionMotion.h>`

Collaboration diagram for PackageCognitionMotion:

[legend]
List of all members.

## Public Member Functions
| PackageCognitionMotion ()
| Constructor.
## Public Attributes
LandmarksPercept | landmarksPercept
| The LandmarksPercept.
LandmarksState | landmarksState
| The seen landmarks.
RobotPose | robotPose
| The robots position and orientation.
BallModel | ballModel
| The position and the speed of the ball.
PlayerPoseCollection | playerPoseCollection
| The positions of the own and opponent players.
ObstaclesModel | obstaclesModel
| The positions of the obstacles.
RobotState | robotState
| Pressed switches and fall downs.
MotionRequest | motionRequest
| Motions requested by the behavior.
HeadControlMode | headControlMode
| The head control mode.
LEDRequest | ledRequest
| The ledRequest.
SoundRequest | soundRequest
| The SoundRequest.
Player::teamColor | teamColor
| An instance of the current player object.
GameControlData | gameControlData
| The data of the game controller.
InvKinWalkingParameters | invKinWalkingParameters
| walking parameter sets to be used by the WalkingEngine, eg calculated by evolution behavior
GT2004Parameters | gt2004WalkingParameters
unsigned long | walkParameterTimeStamp
int | wLanStatus
| The status of the WLan connection (one bit for every dog).
unsigned long | timeStamp
| The time when the package was sent.
GTWalkParametersIndividual | gt2005Parameters
Watchdog * | watchdog

## Detailed Description

Contains all data that are sent from the Cognition process to the Motion process in the CMD process layout.

Author:
  Matthias Jüngel

Definition at line 42 of file PackageCognitionMotion.h.

## Constructor & Destructor Documentation

PackageCognitionMotion::PackageCognitionMotion | ( |  | ) |

| Constructor. Definition at line 13 of file PackageCognitionMotion.cpp. References getPlayer(), and gt2004WalkingParameters.

Here is the call graph for this function:

## Member Data Documentation

LandmarksPercept PackageCognitionMotion::landmarksPercept

| The LandmarksPercept. Definition at line 46 of file PackageCognitionMotion.h. Referenced by operator<<(), and operator>>().

LandmarksState PackageCognitionMotion::landmarksState

| The seen landmarks. Definition at line 49 of file PackageCognitionMotion.h. Referenced by operator<<(), and operator>>().

RobotPose PackageCognitionMotion::robotPose

| The robots position and orientation. Definition at line 52 of file PackageCognitionMotion.h. Referenced by operator<<(), and operator>>().

BallModel PackageCognitionMotion::ballModel

| The position and the speed of the ball. Definition at line 55 of file PackageCognitionMotion.h. Referenced by operator<<(), and operator>>().

PlayerPoseCollection PackageCognitionMotion::playerPoseCollection

| The positions of the own and opponent players. Definition at line 58 of file PackageCognitionMotion.h. Referenced by operator<<(), and operator>>().

ObstaclesModel PackageCognitionMotion::obstaclesModel

| The positions of the obstacles. Definition at line 61 of file PackageCognitionMotion.h. Referenced by operator<<(), and operator>>().

RobotState PackageCognitionMotion::robotState

| Pressed switches and fall downs. Definition at line 64 of file PackageCognitionMotion.h. Referenced by operator<<(), and operator>>().

MotionRequest PackageCognitionMotion::motionRequest

| Motions requested by the behavior. Definition at line 67 of file PackageCognitionMotion.h. Referenced by operator<<(), and operator>>().

HeadControlMode PackageCognitionMotion::headControlMode

| The head control mode. Definition at line 70 of file PackageCognitionMotion.h. Referenced by operator<<(), and operator>>().

LEDRequest PackageCognitionMotion::ledRequest

| The ledRequest. Definition at line 73 of file PackageCognitionMotion.h. Referenced by operator<<(), and operator>>().

SoundRequest PackageCognitionMotion::soundRequest

| The SoundRequest. Definition at line 76 of file PackageCognitionMotion.h. Referenced by operator<<(), and operator>>().

Player::teamColor PackageCognitionMotion::teamColor

| An instance of the current player object. Definition at line 79 of file PackageCognitionMotion.h. Referenced by operator<<(), and operator>>().

GameControlData PackageCognitionMotion::gameControlData

| The data of the game controller. Definition at line 82 of file PackageCognitionMotion.h. Referenced by operator<<(), and operator>>().

InvKinWalkingParameters PackageCognitionMotion::invKinWalkingParameters

| walking parameter sets to be used by the WalkingEngine, eg calculated by evolution behavior Definition at line 85 of file PackageCognitionMotion.h. Referenced by operator<<(), and operator>>().

GT2004Parameters PackageCognitionMotion::gt2004WalkingParameters

| Definition at line 86 of file PackageCognitionMotion.h. Referenced by operator<<(), operator>>(), and PackageCognitionMotion().

unsigned long PackageCognitionMotion::walkParameterTimeStamp

| Definition at line 87 of file PackageCognitionMotion.h. Referenced by operator<<(), and operator>>().

int PackageCognitionMotion::wLanStatus

| The status of the WLan connection (one bit for every dog). Definition at line 90 of file PackageCognitionMotion.h. Referenced by operator<<(), and operator>>().

unsigned long PackageCognitionMotion::timeStamp

| The time when the package was sent. Definition at line 93 of file PackageCognitionMotion.h. Referenced by operator<<(), and operator>>().

GTWalkParametersIndividual PackageCognitionMotion::gt2005Parameters

| Definition at line 96 of file PackageCognitionMotion.h. Referenced by operator<<(), and operator>>().

Watchdog* PackageCognitionMotion::watchdog

| Definition at line 98 of file PackageCognitionMotion.h. Referenced by operator<<(), and operator>>().

The documentation for this class was generated from the following files:

- Processes/CMD/PackageCognitionMotion.h
- Processes/CMD/PackageCognitionMotion.cpp